package org.amritaj.sample;

import java.util.Calendar;
import java.util.Date;

import org.amritaj.AmritaJHelper;
import org.amritaj.AttrArray;

public class RepeatNestPO {
	
	public int[] getArrayData() {
		return new int[]{1, 2, 3};
	}
	
	public Date getNestedStruct() {
		Calendar c =  Calendar.getInstance();
		c.set(2005, 2, 23, 4, 5, 6);
		return c.getTime();
	}

	public Date[] getNestedStructs() {
		Date[] result = new Date[2];
		Calendar c =  Calendar.getInstance();
		c.set(2005, 2, 23, 4, 5, 6);
		result[0] = c.getTime();
		c.set(2005, 2, 24, 4, 5, 6);
		result[1] = c.getTime();
		return result;
	}
	
	public AttrArray getAttributeReplace() {
		return AmritaJHelper.attr("href", "http://amrita2.sourceforge.jp/");
	}
}
